# Uses of Class
java.awt.GridBagLayoutInfo

Packages that use GridBagLayoutInfo
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of GridBagLayoutInfo in java.awt

Fields in java.awt declared as GridBagLayoutInfo
Modifier and Type
Field
Description
`protected GridBagLayoutInfo`
GridBagLayout.`layoutInfo`
This field holds the layout information for the gridbag.
Methods in java.awt that return GridBagLayoutInfo
Modifier and Type
Method
Description
`protected GridBagLayoutInfo`
GridBagLayout.`getLayoutInfo(Container parent, int sizeflag)`
Fills in an instance of `GridBagLayoutInfo` for the current set of managed children.
`protected GridBagLayoutInfo`
GridBagLayout.`GetLayoutInfo(Container parent, int sizeflag)`
This method is obsolete and supplied for backwards compatibility only; new code should call `getLayoutInfo` instead.
Methods in java.awt with parameters of type GridBagLayoutInfo
Modifier and Type
Method
Description
`protected Dimension`
GridBagLayout.`getMinSize(Container parent, GridBagLayoutInfo info)`
Figures out the minimum size of the parent based on the information from `getLayoutInfo`.
`protected Dimension`
GridBagLayout.`GetMinSize(Container parent, GridBagLayoutInfo info)`
This method is obsolete and supplied for backwards compatibility only; new code should call `getMinSize` instead.